body,
html {
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: "Inter", Arial, sans-serif;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.background {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh;
  background: url("../assets/s.shorten-bg.jpg") center center/cover no-repeat;
  z-index: -1;
}

.center-box {
  background: rgba(255, 255, 255, 0);
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1;
  max-width: 480px;
  width: 100%;
  padding: 24px 32px;
}

.logo {
  margin-bottom: 16px;
}

.title {
  font-size: 2.5rem;
  font-weight: 700;
  margin: 0 0 12px 0;
  color: #222;
  letter-spacing: -1px;
}

.subtitle {
  font-family: "Manrope", sans-serif;
  font-size: 33px;
  color: #333;
  margin-bottom: 24px;
  font-weight: 400;
  margin-top: 0;
  text-align: center;
}

.cta-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 16px 0px;
  font-family: "Open Sans", sans-serif;
  font-size: 24px;
  font-weight: 700;
  color: #fff;
  background: linear-gradient(271.62deg, #ff8f00 0%, #ff0229 95.72%);
  border: none;
  border-radius: 8px;
  text-decoration: none;
  box-shadow: 0 2px 16px rgba(255, 26, 60, 0.1);
  transition: background 0.2s, transform 0.2s;
  cursor: pointer;
  margin-top: 0;
  width: 100%;
  animation: pulse 1.5s infinite ease-in-out;
}

@media screen and (max-width: 520px) {
  .logo {
    width: 121px;
    margin-bottom: 10px;
  }

  .subtitle {
    font-size: 20px;
    margin-bottom: 0;
  }

  .cta-btn {
    padding: 8px 0;
    margin-top: auto;
    position: fixed;
    bottom: 16px;
    font-size: 20px;
    left: 16px;
    right: 16px;
    max-width: calc(100% - 32px); /* Maksimum genişlik için de aynı hesaplama */
  }
}

@media screen and (max-width: 300px) {
  .logo {
    margin-bottom: 10px;
  }

  .subtitle {
    font-size: 16px;
    margin-bottom: 0;
  }

  .cta-btn {
    padding: 8px 0;
    margin-top: auto;
    position: fixed;
    bottom: 16px;
    font-size: 16px;
    left: 16px;
    right: 16px;
    max-width: calc(100% - 32px);
  }
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}
